<?php
require'f_grup.php';
$titlu='Editează logo grup '.$pnume;
require'f_sus.php';
if(in_array($de,$id_proprietari))
{
$tip=$_GET['tip']??'';
if($pinfo[6]!=''&&$tip!='sterge')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți adăuga logo atât timp cât un alt logo este adăugat la acest grup!<br />Șterge mai întâi acel logo!'.$div[0];
else
{
if($tip=='adauga')
{
$dir='img/logo_grupuri';
$extensii_acceptate=['gif','jpeg','jpg','png'];
if(isset($_FILES['fisier']))
{
if($_FILES['fisier']['error']!=0)
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].[1=>'Fișierul încărcat depășește directiva upload_max_filesize, directivă din php.ini',2=>'Fișierul încărcat depășește limita declarată în formularul html',3=>'Fișierul nu s-a încărcat în totalitate',4=>'Nu a fost încărcat nici un fișier',6=>'Lipsește folderul temporar',7=>'Scrierea fișierului a eșuat',8=>'Această extensie este refuzată de PHP'][$_FILES['fisier']['error']].'!'.$div[0];
require'f_jos.php';
}
$nume_fisier='partener_'.$pid.'_'.$_FILES['fisier']['name'];
$extensie=mb_strtolower(pathinfo($nume_fisier)['extension']);
if(!in_array($extensie,$extensii_acceptate))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Fișier ne cunoscut, sper că nu încerci să faci vre-o măgărie!'.$div[0];
require'f_jos.php';
}
$nume_fisier=preg_replace('/[^a-z0-9\.\$\%\'\`\-\@\{\}\~\!\#\(\)\&\_\^]/i','',str_replace([' ','%20'],['_','_'],$nume_fisier));
if(mb_strlen($nume_fisier)>53)
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Numele este prea lung, redenumește fișierul înainte de a-l încărca!'.$div[0];
require'f_jos.php';
}
if(empty($nume_fisier))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nici un fișier selectat!'.$div[0];
require'f_jos.php';
}
$itemurl=$dir.'/'.$nume_fisier;
if(file_exists($itemurl))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Un fișier cu acest nume este adăugat ca imagine la grupuri!<br />Daca stii cu siguranta ca aceasta imagine nu este la grupuri, redenumeste fișierul, și încarcă-l din nou!'.$div[0];
require'f_jos.php';
}
if($_FILES['fisier']['error']!=0)
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].[1=>'Fișierul încărcat depășește directiva upload_max_filesize, directivă din php.ini',2=>'Fișierul încărcat depășește limita declarată în formularul html',3=>'Fișierul nu s-a încărcat în totalitate',4=>'Nu a fost încărcat nici un fișier',6=>'Lipsește folderul temporar',7=>'Scrierea fișierului a eșuat',8=>'Această extensie este refuzată de PHP'][$_FILES['fisier']['error']].'!'.$div[0];
require'f_jos.php';
}
copy($_FILES['fisier']['tmp_name'],$itemurl) or die($div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu se poate copia, verifică permisiunile dosarului în care urmează să fie introdus fișierul!'.$div[0]);
if($conn->query('UPDATE`grupuri`SET`logo`="'.$itemurl.'"WHERE`id`="'.$pid.'"'))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Administrare",`de`="'.$de.'",`text`="a adăugat imaginea '.$nume_fisier.' ca logo, la grupul [url=/grup/id/'.$pid.'-'.seo($pinfo[3]).']'.$pinfo[3].'[/url]",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Logoul a fost adăugat!<br /><a href="/admin-aplica-nume-site-pe-logo/categorie/7-grupuri-cu-logo/v/'.$pid.'-/tip/aplica">Aplică numele site-ului pe acest logo</a>';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
echo$div[0].$div[1].'Fisier: '.$nume_fisier.'<br />Link: '.$itemurl.'<br />Mărime fișier: '.round($_FILES['fisier']['size']/1024,1).' KB<br />Format: *.'.$extensie.$div[0];
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai selectat nici un fișier!'.$div[0];
}
elseif($tip=='sterge')
{
if($pinfo[6]!='')
{
$conn->query('UPDATE`grupuri`SET`logo`=""WHERE`id`="'.$pid.'"');
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Administrare",`de`="'.$de.'",`text`="a șters logoul '.$pinfo[6].' de la grupul [url=/grup/id/'.$pid.'-'.seo($pinfo[3]).']'.$pinfo[3].'[/url]",`data`="'.$_SERVER['REQUEST_TIME'].'"');
if(unlink($pinfo[6]))
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Logoul <strong>'.$pinfo[6].'</strong> a fost șters!'.$div[0];
else
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Erori FTP",`de`="'.$id_robot.'",`text`="imaginea de la link-ul: '.$pinfo[6].', nu a putut fi ștearsă, trebuie să fie ștearsă manual din FTP.",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Logoul <strong>'.$pinfo[6].'</strong> nu a fost șters!';
}
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Logoul nu este completat, deci nu ai ce să ștergi!'.$div[0];
}
else
{
echo$div[4].'<img src="'.$domenii_statice[1].'adauga.gif" alt="" />Adaugă logo grup '.$pnume.$div[5];
if($is_pc=='1')
echo$div[7].'Nu poți încărca fișiere având setată versiunea WML, alege altă versiune din pagina principală!'.$div[0];
else
{
$form[0]=$_SERVER['REQUEST_URI'].'?tip=adauga" method="post" ENCTYPE="multipart/form-data';
$form[1]=0;
$form[2]=$div[1].'Fisier:<br /><input type="file" name="fisier" />'.$div[0];
$form[3]='fisier';
$form[4]='Adauga';
require'f_form.php';
}
}
}
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai permisiuni pentru a edita logoul acestui grup!'.$div[0];
require'f_jos.php';